<?xml version="1.0" encoding="utf-8"?>
<FilingSummary xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Version>2.4.0.8</Version>
  <ProcessingTime />
  <ReportFormat>Html</ReportFormat>
  <ContextCount>350</ContextCount>
  <ElementCount>440</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>194</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>6</UnitCount>
  <MyReports>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>0000 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DocumentAndEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
    </Report>
    <Report>
      <IsDefault>true</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>0010 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/BalanceSheet</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>0015 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/BalanceSheetParenthetical</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>0020 - Statement - CONSOLIDATED STATEMENTS OF INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/StatementOfIncome</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF INCOME</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>0025 - Statement - CONSOLIDATED STATEMENTS OF INCOME (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/StatementOfIncomeParenthetical</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF INCOME (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>0030 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/StatementOfComprehensiveIncome</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>0040 - Statement - CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/StatementOfStockholdersEquity</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>0045 - Statement - CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/StatementOfStockholdersEquityParenthetical</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>0050 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/CashFlows</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>0055 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/CashFlowsParenthetical</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS (Parenthetical)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>1010 - Disclosure - ORGANIZATION AND BACKGROUND</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureOrganizationAndBackground</Role>
      <ShortName>ORGANIZATION AND BACKGROUND</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>1020 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPolicies</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>1030 - Disclosure - REAL ESTATE INVESTMENTS AND MINIMUM FUTURE RENTALS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureRealEstateInvestmentsAndMinimumFutureRentals</Role>
      <ShortName>REAL ESTATE INVESTMENTS AND MINIMUM FUTURE RENTALS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>1040 - Disclosure - DISCONTINUED OPERATIONS AND REAL ESTATE INVESTMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDiscontinuedOperationsAndRealEstateInvestments</Role>
      <ShortName>DISCONTINUED OPERATIONS AND REAL ESTATE INVESTMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>1050 - Disclosure - INVESTMENT IN UNCONSOLIDATED JOINT VENTURES AND SALES OF JOINT VENTURE PROPERTIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureInvestmentInUnconsolidatedJointVenturesAndSalesOfJointVentureProperties</Role>
      <ShortName>INVESTMENT IN UNCONSOLIDATED JOINT VENTURES AND SALES OF JOINT VENTURE PROPERTIES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>1060 - Disclosure - DEBT OBLIGATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDebtObligations</Role>
      <ShortName>DEBT OBLIGATIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>1070 - Disclosure - FAIR VALUE MEASUREMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureFairValueMeasurements</Role>
      <ShortName>FAIR VALUE MEASUREMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>1080 - Disclosure - RELATED PARTY TRANSACTIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureRelatedPartyTransactions</Role>
      <ShortName>RELATED PARTY TRANSACTIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>1090 - Disclosure - STOCKHOLDERS' EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureStockholdersEquity</Role>
      <ShortName>STOCKHOLDERS' EQUITY</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>1100 - Disclosure - GAIN ON SETTLEMENT OF DEBT</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureGainOnSettlementOfDebt</Role>
      <ShortName>GAIN ON SETTLEMENT OF DEBT</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>1110 - Disclosure - COMMITMENTS AND CONTINGENCIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureCommitmentsAndContingencies</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>1120 - Disclosure - INCOME TAXES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureIncomeTaxes</Role>
      <ShortName>INCOME TAXES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>1130 - Disclosure - SUBSEQUENT EVENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSubsequentEvents</Role>
      <ShortName>SUBSEQUENT EVENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>1140 - Disclosure - QUARTERLY FINANCIAL DATA (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureQuarterlyFinancialData</Role>
      <ShortName>QUARTERLY FINANCIAL DATA (Unaudited)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>1150 - Disclosure - Schedule III - Consolidated Real Estate and Accumulated Depreciation</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureScheduleIIIConsolidatedRealEstateAndAccumulatedDepreciation</Role>
      <ShortName>Schedule III - Consolidated Real Estate and Accumulated Depreciation</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>2020 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesPolicies</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Policies)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>3020 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesTables</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>3030 - Disclosure - REAL ESTATE INVESTMENTS AND MINIMUM FUTURE RENTALS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureRealEstateInvestmentsAndMinimumFutureRentalsTables</Role>
      <ShortName>REAL ESTATE INVESTMENTS AND MINIMUM FUTURE RENTALS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>3040 - Disclosure - DISCONTINUED OPERATIONS AND REAL ESTATE INVESTMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDiscontinuedOperationsAndRealEstateInvestmentsTables</Role>
      <ShortName>DISCONTINUED OPERATIONS AND REAL ESTATE INVESTMENTS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>3060 - Disclosure - DEBT OBLIGATIONS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDebtObligationsTables</Role>
      <ShortName>DEBT OBLIGATIONS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>3070 - Disclosure - FAIR VALUE MEASUREMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureFairValueMeasurementsTables</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>3090 - Disclosure - STOCKHOLDERS' EQUITY (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureStockholdersEquityTables</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>3120 - Disclosure - INCOME TAXES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureIncomeTaxesTables</Role>
      <ShortName>INCOME TAXES (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>3140 - Disclosure - QUARTERLY FINANCIAL DATA (Unaudited): (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureQuarterlyFinancialDataTables</Role>
      <ShortName>QUARTERLY FINANCIAL DATA (Unaudited): (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>4010 - Disclosure - ORGANIZATION AND BACKGROUND (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureOrganizationAndBackgroundDetails</Role>
      <ShortName>ORGANIZATION AND BACKGROUND (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>4020 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>4021 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesDetails2</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Details 2)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>4022 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details 3)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesDetails3</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Details 3)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>4023 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details 4)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesDetails4</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Details 4)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>4024 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details 5)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesDetails5</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Details 5)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>4025 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details 6)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSignificantAccountingPoliciesDetails6</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Details 6)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>4030 - Disclosure - REAL ESTATE INVESTMENTS AND MINIMUM FUTURE RENTALS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureRealEstateInvestmentsAndMinimumFutureRentalsDetails</Role>
      <ShortName>REAL ESTATE INVESTMENTS AND MINIMUM FUTURE RENTALS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>4040 - Disclosure - DISCONTINUED OPERATIONS AND REAL ESTATE INVESTMENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDiscontinuedOperationsAndRealEstateInvestmentsDetails</Role>
      <ShortName>DISCONTINUED OPERATIONS AND REAL ESTATE INVESTMENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>4050 - Disclosure - INVESTMENT IN UNCONSOLIDATED JOINT VENTURES AND SALES OF JOINT VENTURE PROPERTIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureInvestmentInUnconsolidatedJointVenturesAndSalesOfJointVenturePropertiesDetails</Role>
      <ShortName>INVESTMENT IN UNCONSOLIDATED JOINT VENTURES AND SALES OF JOINT VENTURE PROPERTIES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>4060 - Disclosure - DEBT OBLIGATIONS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDebtObligationsDetails</Role>
      <ShortName>DEBT OBLIGATIONS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>4061 - Disclosure - DEBT OBLIGATIONS (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureDebtObligationsDetails2</Role>
      <ShortName>DEBT OBLIGATIONS (Details 2)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>4070 - Disclosure - FAIR VALUE MEASUREMENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureFairValueMeasurementsDetails</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>4071 - Disclosure - FAIR VALUE MEASUREMENTS (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureFairValueMeasurementsDetails2</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Details 2)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>4072 - Disclosure - FAIR VALUE MEASUREMENTS (Details 3)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureFairValueMeasurementsDetails3</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Details 3)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>4073 - Disclosure - FAIR VALUE MEASUREMENTS (Details 4)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureFairValueMeasurementsDetails4</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Details 4)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>4080 - Disclosure - RELATED PARTY TRANSACTIONS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureRelatedPartyTransactionsDetails</Role>
      <ShortName>RELATED PARTY TRANSACTIONS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>4090 - Disclosure - STOCKHOLDERS' EQUITY (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureStockholdersEquityDetails</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>4091 - Disclosure - STOCKHOLDERS' EQUITY (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureStockholdersEquityDetails2</Role>
      <ShortName>STOCKHOLDERS' EQUITY (Details 2)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>4100 - Disclosure - GAIN ON SETTLEMENT OF DEBT (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureGainOnSettlementOfDebtDetails</Role>
      <ShortName>GAIN ON SETTLEMENT OF DEBT (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>4110 - Disclosure - COMMITMENTS AND CONTINGENCIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureCommitmentsAndContingenciesDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENCIES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>4120 - Disclosure - INCOME TAXES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureIncomeTaxesDetails</Role>
      <ShortName>INCOME TAXES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>4130 - Disclosure - SUBSEQUENT EVENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureSubsequentEventsDetails</Role>
      <ShortName>SUBSEQUENT EVENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>4140 - Disclosure - QUARTERLY FINANCIAL DATA (Unaudited): (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureQuarterlyFinancialDataDetails</Role>
      <ShortName>QUARTERLY FINANCIAL DATA (Unaudited): (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>4150 - Disclosure - Schedule III - Consolidated Real Estate and Accumulated Depreciation (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureScheduleIIIConsolidatedRealEstateAndAccumulatedDepreciationDetails</Role>
      <ShortName>Schedule III - Consolidated Real Estate and Accumulated Depreciation (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>4151 - Disclosure - Schedule III - Consolidated Real Estate and Accumulated Depreciation (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.onelibertyproperties.com/role/DisclosureScheduleIIIConsolidatedRealEstateAndAccumulatedDepreciationDetails2</Role>
      <ShortName>Schedule III - Consolidated Real Estate and Accumulated Depreciation (Details 2)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <Logs>
    <Log type="Info">Element olp_GainLossOnDispositionOfRealEstateInUnconsolidatedJointVenture had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_CommonStockSharesOutstanding had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_GainLossOnSaleOfProperties had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_GainsLossesOnExtinguishmentOfDebt had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_ImpairmentOfLongLivedAssetsToBeDisposedOf had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_PaymentsToAcquireRealEstate had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_ProceedsFromSaleOfRealEstateHeldforinvestment had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RealEstateHeldforsale had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RealEstateInvestmentPropertyAccumulatedDepreciation had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RealEstateInvestmentPropertyAtCost had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RealEstateRevenueNet had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RepaymentsOfLongTermLinesOfCredit had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_RepaymentsOfSecuredDebt had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">'Monetary' elements on report '0020 - Statement - CONSOLIDATED STATEMENTS OF INCOME' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '0050 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '4022 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Details 3)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '4050 - Disclosure - INVESTMENT IN UNCONSOLIDATED JOINT VENTURES AND SALES OF JOINT VENTURE PROPERTIES (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '4150 - Disclosure - Schedule III - Consolidated Real Estate and Accumulated Depreciation (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">Process Flow-Through: 0010 - Statement - CONSOLIDATED BALANCE SHEETS</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Dec. 31, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Dec. 31, 2010'</Log>
    <Log type="Info">Process Flow-Through: 0015 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</Log>
    <Log type="Info">Process Flow-Through: 0020 - Statement - CONSOLIDATED STATEMENTS OF INCOME</Log>
    <Log type="Info">	Process Flow-Through: Removing column '1 Months Ended
Jun. 30, 2011'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2012'</Log>
    <Log type="Info">Process Flow-Through: 0025 - Statement - CONSOLIDATED STATEMENTS OF INCOME (Parenthetical)</Log>
    <Log type="Info">Process Flow-Through: 0030 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Dec. 31, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Sep. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Jun. 30, 2012'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '3 Months Ended
Mar. 31, 2012'</Log>
    <Log type="Info">Process Flow-Through: 0045 - Statement - CONSOLIDATED STATEMENTS OF CHANGES IN EQUITY (Parenthetical)</Log>
    <Log type="Info">	Process Flow-Through: Removing column '12 Months Ended
Dec. 31, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column '12 Months Ended
Dec. 31, 2012'</Log>
    <Log type="Info">Process Flow-Through: 0050 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</Log>
    <Log type="Info">Process Flow-Through: 0055 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Parenthetical)</Log>
  </Logs>
  <InputFiles>
    <File>olp-20131231.xml</File>
    <File>olp-20131231.xsd</File>
    <File>olp-20131231_cal.xml</File>
    <File>olp-20131231_def.xml</File>
    <File>olp-20131231_lab.xml</File>
    <File>olp-20131231_pre.xml</File>
  </InputFiles>
  <SupplementalFiles />
  <BaseTaxonomies />
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
